package com.zjrs.ggfw.rlzysc.dto;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;

public class YrzdAddDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    @NotBlank(message = "联系人不能为空")
    @Length(max = 25,message = "姓名最多只能输入25个字符或汉字")
    private String lxr;
    @Length(max = 100,message = "需要指导问题描述最多只能输入100个字符或汉字")
    private String xyzdgz;
    @Length(max = 10,message = "希望指导时间最多只能输入10个字符或汉字")
    private String xwzdsj;
    @NotBlank(message = "联系电话不能为空")
    @Length(max = 25,message = "联系电话最多只能输入25个字符或汉字")
    private String lxfs;
    @Length(max = 3,message = "是否反馈最多只能输入3个字符或汉字")
    private String sffk;
    private String jyzdlx;

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getXyzdgz() {
        return xyzdgz;
    }

    public void setXyzdgz(String xyzdgz) {
        this.xyzdgz = xyzdgz;
    }

    public String getXwzdsj() {
        return xwzdsj;
    }

    public void setXwzdsj(String xwzdsj) {
        this.xwzdsj = xwzdsj;
    }

    public String getLxfs() {
        return lxfs;
    }

    public void setLxfs(String lxfs) {
        this.lxfs = lxfs;
    }

    public String getSffk() {
        return sffk;
    }

    public void setSffk(String sffk) {
        this.sffk = sffk;
    }

    public String getJyzdlx() {
        return jyzdlx;
    }

    public void setJyzdlx(String jyzdlx) {
        this.jyzdlx = jyzdlx;
    }
}

